- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Namespace List
- Namespace Members

# osgText Namespace Reference

The osgText is a NodeKit library that extends the core scene graph to support high quality text. More...

## Classes
class | Font
| Pure virtual base class for fonts. More...
class | String
class | Text
## Typedefs
typedef std::vector< unsigned int > | VectorUInt
## Enumerations
enum | KerningType { KERNING_DEFAULT, KERNING_UNFITTED, KERNING_NONE }
## Functions
OSGTEXT_EXPORT Font * | readFontFile (const std::string &filename)
| read a font from specified file.
osgText::Font * | readFontFile (const std::string &filename)
| read a font from specified file.

## Detailed Description

The osgText is a NodeKit library that extends the core scene graph to support high quality text.

## Typedef Documentation

typedef std::vector<unsigned int> osgText::VectorUInt

## Enumeration Type Documentation

enum osgText::KerningType

  | Enumerator:
  KERNING_DEFAULT |
  KERNING_UNFITTED |
  KERNING_NONE |

## Function Documentation

osgText::Font* osgText::readFontFile | ( | const std::string & | filename | ) |

| read a font from specified file.

OSGTEXT_EXPORT Font* osgText::readFontFile | ( | const std::string & | filename | ) |

| read a font from specified file.